#!/usr/bin/bash

if [ ! -d /etc/prometheus/node-exporter ];then
     mkdir /etc/prometheus/node-exporter
fi

cp /usr/sausalito/configs/prometheus/node_exporter.service /usr/lib/systemd/system/node_exporter.service
cp /usr/sausalito/configs/prometheus/rules.yml /etc/prometheus/node-exporter/rules.yml
cp /usr/sausalito/configs/prometheus/prometheus.service /usr/lib/systemd/system/prometheus.service
cp /usr/sausalito/configs/prometheus/prometheus.yml /etc/prometheus/prometheus.yml

systemctl daemon-reload &>/dev/null || :
systemctl enable prometheus.service &>/dev/null || :
systemctl enable node_exporter.service &>/dev/null || :
systemctl restart prometheus.service &>/dev/null || :
systemctl restart node_exporter.service &>/dev/null || :

exit 0

